Bug 1600670 - Service Bundle retirement: retire_ now not implemented in subclass
Summary: Service Bundle retirement: retire_ now not implemented in subclass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.9.4
Assignee: Bill Wei
QA Contact: Pavol Kotvan
URL:
Whiteboard: provider:azure:storage
Depends On: 1468635
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 18:12 UTC by Satoe Imaishi
Modified: 2018-12-04 10:27 UTC (History)
19 users (show)

Fixed In Version: 5.9.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1468635
Environment:
Last Closed: 2018-09-04 18:00:53 UTC
Category: ---
Cloudforms Team: Azure


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:46 UTC

Comment 2 CFME Bot 2018-07-12 22:52:10 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/8254a91b2a5a4d61506d801ee2410b897d2e3424
commit 8254a91b2a5a4d61506d801ee2410b897d2e3424
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Mar  6 11:54:48 2018 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Mar  6 11:54:48 2018 -0500

    Merge pull request #17095 from bzwei/tower_job_retirement

    Delete #retire_now since it has been moved to shared code
    (cherry picked from commit dcc13f367f21e30d9575552452173fe356b06fc9)

    https://bugzilla.redhat.com/show_bug.cgi?id=1600670

 app/models/manageiq/providers/embedded_ansible/automation_manager/job.rb | 5 -
 spec/models/manageiq/providers/embedded_ansible/automation_manager/job_spec.rb | 5 -
 2 files changed, 10 deletions(-)

Comment 3 CFME Bot 2018-07-12 23:06:14 UTC
New commit detected on ManageIQ/manageiq-providers-ansible_tower/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/f73f158d023bb8b8fab81481e9ee3fbd997e5650
commit f73f158d023bb8b8fab81481e9ee3fbd997e5650
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Mar  6 11:53:08 2018 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Mar  6 11:53:08 2018 -0500

    Merge pull request #66 from bzwei/retire_now

    Move #retire_now to shared code
    (cherry picked from commit fda578da0c4e36e711f64db46e558da68c620451)

    https://bugzilla.redhat.com/show_bug.cgi?id=1600670

 app/models/manageiq/providers/ansible_tower/shared/automation_manager/job.rb | 4 +
 spec/support/ansible_shared/automation_manager/job.rb | 7 +
 2 files changed, 11 insertions(+)

Comment 6 Bill Wei 2018-08-13 13:44:59 UTC
The main purpose of this work is to make it non-blocking when retiring a bundle containing an Ansible Tower service. You can create a bundle containing at least one Ansible Tower service, 0 or more other type services, not limit to Azure stack. I don't have any Azure template for your test.

Comment 10 William Fitzgerald 2018-08-14 15:21:13 UTC
Pavol,

I created a bundle called billy_bundle with a retirement entry point of /Service/Retirement/StateMachines/ServiceRetirement/Default.  I was able to provision and retire successfully.  I am guessing the reason it failed for you was that you were not using the default retirement instance.

Let me know if you need anything else.

Thanks

Billy

Comment 11 William Fitzgerald 2018-08-14 16:19:46 UTC
Pavol,

Sorry, meant Generic instance.   I changed your bundle service called bundle to use Generic as a retirement end point and it retired successfully.

Billy

Comment 15 drew uhlmann 2018-08-20 18:03:08 UTC
Hey Pavol! I'm sorry about this, but I'm going to need that appliance around a little longer. I'm concerned that this ticket shouldn't be verified. I'm not able to provision an ansible service, could you please check that out for me?

Comment 18 drew uhlmann 2018-08-21 15:31:30 UTC
Hey Pavol! I'm still having trouble provisioning this service as listed in comment 6. Could you please set up a bundled service as described in comment 6 and let me know when that has successfully provisioned? Thanks.

Comment 19 drew uhlmann 2018-08-22 16:48:44 UTC
I don't think "NotImplementedError: raw_delete_stack must be implemented in a subclass" is fixed. I think this ticket shouldn't be verified.

Comment 20 drew uhlmann 2018-08-22 16:49:27 UTC
https://github.com/ManageIQ/manageiq/pull/17881 is part of the fix for this, there's more incoming.

Comment 21 drew uhlmann 2018-08-22 17:01:15 UTC
Sorry for the confusion. We're closing as verified for the issue that the hotfix seems to have resolved -- that is, the one about retire now not being implemented for the subclass -- but an outstanding issue with this case still remains, for which we'll be opening a new ticket.

Comment 22 Tina Fitzgerald 2018-08-27 18:02:48 UTC
A new ticket has been opened to track the double retiring issue:
https://bugzilla.redhat.com/show_bug.cgi?id=1622652

Comment 24 errata-xmlrpc 2018-09-04 18:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561

Comment 26 drew uhlmann 2018-11-16 13:20:01 UTC
Hey Gellert, thanks for checking for us. Could you please give me a reproducer for the issue you're still seeing?


Note You need to log in before you can comment on or make changes to this bug.